#include <stdio.h>
#include <stdlib.h>
#include <string.h>

double sumy[1101];
char ucty[1101][7];

int max = 0;
	
int create()
{
	int x=0;
	char ucet[7];	

	scanf("%s",ucet);

	for(x=0;x<max;x++)
	{
		if(!strcmp(ucet,ucty[x]))
		{
			printf("create: already exists\n");
			return 0;
		}
	}

	sumy[max] = (double)0.00;
	ucty[max][0] = '\0';
	strcpy(ucty[max],ucet);
	
	max += 1;

	printf("create: ok\n");
	return 0;
}

int deposit()
{
	char ucet[7];
	double suma;

	scanf("%s %lf",ucet,&suma);
	int x;
	for(x=0;x<max;x++)
	{
		if(!strcmp(ucet,ucty[x]))
		{
			sumy[x] += suma;
			printf("deposit %.2f: ok\n",suma);
			return 0;
		}
	}


	printf("deposit %.2f: no such account\n",suma);
	
	return 0;
}

int withdraw()
{
	char ucet[7];
	double suma;


	scanf("%s %lf",ucet,&suma);
	int x;
	for(x=0;x<max;x++)
	{
		if(!strcmp(ucet,ucty[x]))
		{
			if(sumy[x]<suma)
			{
				printf("withdraw %.2f: insufficient funds\n",suma);
				return 0;
			}
			else
			{
				sumy[x] -= suma;
				printf("withdraw %.2f: ok\n",suma);
				return 0;
			}	
		}
		
	}

	printf("withdraw %.2f: no such account\n",suma);
	return 0;
}

int transfer()
{
	char ucet1[7],ucet2[7];
	double suma=0;
	int x=0,y=0;

	scanf("%s %s %lf",ucet1,ucet2,&suma);

	if(!strcmp(ucet1,ucet2))
	{
		printf("transfer %.2f: same account\n",suma);
		return 0;
	}

	for(x=0;x<max;x++)
	{
		if(!strcmp(ucty[x],ucet1))
		{
			for(y=0;y<max;y++)
			{
				if(!strcmp(ucty[y],ucet2))
				{
					if(sumy[x]<suma)
					{
						printf("transfer %.2f: insufficient funds\n", suma);
						return 0;
					}
					else
					{
						sumy[x] -= suma;
						sumy[y] += suma;
	
						if((ucty[x])[5]==(ucty[y])[5])
							printf("transfer %.2f: ok\n",suma);
						else
							printf("transfer %.2f: interbank\n",suma);

						return 0;
					}
				}
			}
		}
	}
	
	printf("transfer %.2f: no such account\n",suma);
	return 0;
}		




int main()
{
	int n = 0;
	char vstup[10];

	while(1)
	{
		scanf("%d",&n);	

		if(n==0) {
			printf("goodbye\n");return 0;
		}
		max = n;


		

	for (n;n>0;n--)
	{
		scanf("%s %lf",ucty[max], &sumy[max]);
	}

	while(1)
	{
		scanf("%s",vstup);
		if(!strcmp(vstup,"end"))
			break;		
		
		if(!strcmp(vstup,"create"))
			create();
		else if(!strcmp(vstup,"deposit"))
			deposit();
		else if(!strcmp(vstup,"withdraw"))
			withdraw();
		else if(!strcmp(vstup,"transfer"))
			transfer();
	}

	printf("end\n\n");
	
	}
	
	printf("goodbye\n");

	return 0;
}

